Debian Bug report logs - #598966
skrooge: FTBFS on armel: no matching function for call to 'qMax(double, qreal)'

version graph

Package: src:skrooge; Maintainer for src:skrooge is Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>;

Reported by: Cyril Brulebois <kibi@debian.org>

Date: Sun, 3 Oct 2010 14:06:01 UTC

Severity: serious

Tags: experimental

Found in version skrooge/0.7.3.2-1

Fixed in version skrooge/0.8.0.4-1

Done: Fathi Boudra <fabo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kibi@debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#598966; Package src:skrooge. (Sun, 03 Oct 2010 14:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
New Bug report received and forwarded. Copy sent to kibi@debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Sun, 03 Oct 2010 14:06:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: skrooge: FTBFS on armel: no matching function for call to 'qMax(double, qreal)'
Date: Sun, 03 Oct 2010 16:02:47 +0200
Source: skrooge
Version: 0.7.3.2-1
Severity: serious
Justification: FTBFS
User: debian-arm@lists.debian.org
Usertags: eabi

Hi,

your package no longer builds on armel:
| [ 25%] Building CXX object skgbasegui/CMakeFiles/skgbasegui.dir/skgtablewithgraph.o
| cd /build/buildd-skrooge_0.7.3.2-1-armel-0oYfUS/skrooge-0.7.3.2/obj-arm-linux-gnueabi/skgbasegui && /usr/bin/c++   -DMAKE_SKGBASEGUI_LIB -D_BSD_SOURCE -D_XOPEN_SOURCE=500 -D_BSD_SOURCE -DQT_NO_STL -DQT_NO_CAST_TO_ASCII -D_REENTRANT -DKDE_DEPRECATED_WARNINGS -DSKGVERSION=0.7.4 -Wall -g -O2  -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -fvisibility-inlines-hidden -DNDEBUG -DQT_NO_DEBUG -fPIC -I/build/buildd-skrooge_0.7.3.2-1-armel-0oYfUS/skrooge-0.7.3.2/obj-arm-linux-gnueabi/skgbasegui -I/build/buildd-skrooge_0.7.3.2-1-armel-0oYfUS/skrooge-0.7.3.2/skgbasegui -I/build/buildd-skrooge_0.7.3.2-1-armel-0oYfUS/skrooge-0.7.3.2 -I/build/buildd-skrooge_0.7.3.2-1-armel-0oYfUS/skrooge-0.7.3.2/obj-arm-linux-gnueabi -I/build/buildd-skrooge_0.7.3.2-1-armel-0oYfUS/skrooge-0.7.3.2/skgbasemod
 eler -I/build/buildd-skrooge_0.7.3.2-1-armel-0oYfUS/skrooge-0.7.3.2/skgbasemodelertest -I/build/buildd-skrooge_0.7.3.2-1-armel-0oYfUS/skrooge-0.7.3.2/skgbankmodeler -I/build/buildd-skrooge_0.7.3.2-1-armel-0oYfUS/skrooge-0.7.3.2/skgbankgui -I/build/buildd-skrooge_0.7.3.2-1-armel-0oYfUS/skrooge-0.7.3.2/obj-arm-linux-gnueabi/skgbankgui -I/usr/include/KDE -I/usr/include/qt4/phonon -I/usr/include/qt4/QtXmlPatterns -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtWebKit -I/usr/include/qt4/QtUiTools -I/usr/include/qt4/QtTest -I/usr/include/qt4/QtSvg -I/usr/include/qt4/QtSql -I/usr/include/qt4/QtScriptTools -I/usr/include/qt4/QtScript -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtMultimedia -I/usr/include/qt4/QtHelp -I/usr/include/qt4/QtDesigner -I/usr/include/qt4/QtDBus -I/usr/include/qt4/QtAssistant -I/usr/include/qt4/Qt3Support -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtCore -I/usr/include/qt4/Qt -I/usr/share/qt4/mkspecs/default -I/usr/include/qt4   -D_GNU_SOURCE -D_LARGEFILE
 64_SOURCE -D_FILE_OFFSET_BITS=64 -o CMakeFiles/skgbasegui.dir/skgtablewithgraph.o -c /build/buildd-skrooge_0.7.3.2-1-armel-0oYfUS/skrooge-0.7.3.2/skgbasegui/skgtablewithgraph.cpp
| /build/buildd-skrooge_0.7.3.2-1-armel-0oYfUS/skrooge-0.7.3.2/skgbasegui/skgtablewithgraph.cpp: In member function 'void SKGTableWithGraph::redrawGraph()':
| /build/buildd-skrooge_0.7.3.2-1-armel-0oYfUS/skrooge-0.7.3.2/skgbasegui/skgtablewithgraph.cpp:1294: error: no matching function for call to 'qMax(double, qreal)'
| make[3]: *** [skgbasegui/CMakeFiles/skgbasegui.dir/skgtablewithgraph.o] Error 1

Full build logs:
  https://buildd.debian.org/status/package.php?p=skrooge&suite=experimental

Mraw,
KiBi.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#598966; Package src:skrooge. (Sun, 03 Oct 2010 16:33:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Scott Kitterman <debian@kitterman.com>:
Extra info received and forwarded to list. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Sun, 03 Oct 2010 16:33:10 GMT) Full text and rfc822 format available.

Message #10 received at 598966@bugs.debian.org (full text, mbox):

From: Scott Kitterman <debian@kitterman.com>
To: 598966@bugs.debian.org
Subject: Re: [Pkg-kde-extras] Bug#598966: skrooge: FTBFS on armel: no matching function for call to 'qMax(double, qreal)'
Date: Sun, 03 Oct 2010 12:28:39 -0400
Fixed in svn with a patch from Kubuntu. I didn't upload it since I don't have hardware to verify it builds on Debian, but it should. 




Added tag(s) pending. Request was from kitterma@mailout00.controlledmail.com (Scott Kitterman) to control@bugs.debian.org. (Sun, 03 Oct 2010 16:33:13 GMT) Full text and rfc822 format available.

Added tag(s) experimental. Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Sat, 13 Nov 2010 15:27:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#598966; Package src:skrooge. (Sun, 05 Dec 2010 03:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mark Purcell <msp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Sun, 05 Dec 2010 03:33:03 GMT) Full text and rfc822 format available.

Message #19 received at 598966@bugs.debian.org (full text, mbox):

From: Mark Purcell <msp@debian.org>
To: Scott Kitterman <debian@kitterman.com>, Jonathan Thomas <echidnaman@kubuntu.org>
Cc: 598966@bugs.debian.org, stephane@mankowski.fr, guillaume.debure@gmail.com
Subject: Re: [Pkg-kde-extras] Bug#598966: Bug#598966: skrooge: FTBFS on armel: no matching function for call to 'qMax(double, qreal)'
Date: Sun, 5 Dec 2010 14:30:42 +1100
[Message part 1 (text/plain, inline)]
On Monday 04 October 2010 03:28:39 Scott Kitterman wrote:
> Fixed in svn with a patch from Kubuntu. I didn't upload it since I don't have hardware to verify it builds on Debian, but it should. 

Has this patch been forwarded upstream?

http://svn.debian.org/wsvn/pkg-kde/?op=comp&compare%5B%5D=/kde-extras/skrooge@18670&compare%5B%5D=/kde-extras/skrooge@18680

Mark

[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>:
Bug#598966; Package src:skrooge. (Sun, 05 Dec 2010 13:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume DE BURE <guillaume.debure@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>. (Sun, 05 Dec 2010 13:33:02 GMT) Full text and rfc822 format available.

Message #24 received at 598966@bugs.debian.org (full text, mbox):

From: Guillaume DE BURE <guillaume.debure@gmail.com>
To: Mark Purcell <msp@debian.org>
Cc: Scott Kitterman <debian@kitterman.com>, Jonathan Thomas <echidnaman@kubuntu.org>, 598966@bugs.debian.org, stephane@mankowski.fr
Subject: Re: [Pkg-kde-extras] Bug#598966: Bug#598966: skrooge: FTBFS on armel: no matching function for call to 'qMax(double, qreal)'
Date: Sun, 5 Dec 2010 14:28:24 +0100
Hi guys :)

Le dimanche 05 décembre 2010 04:30:42, Mark Purcell a écrit :
> On Monday 04 October 2010 03:28:39 Scott Kitterman wrote:
> > Fixed in svn with a patch from Kubuntu. I didn't upload it since I don't have hardware to verify it builds on Debian, but it should. 
> 
> Has this patch been forwarded upstream?
> 
> http://svn.debian.org/wsvn/pkg-kde/?op=comp&compare%5B%5D=/kde-extras/skrooge@18670&compare%5B%5D=/kde-extras/skrooge@18680
> 
> Mark
> 
> 

The code looks quite different in our SVN, so I'm not sure whether the patch still applies :
http://websvn.kde.org/trunk/extragear/office/skrooge/skg_dashboard/skgdashboardpluginwidget.cpp?revision=1203413&view=markup

Anyway, thanks for reporting upstream, much appreciated :) If there is anything else we can do, please ask !

Guillaume




Reply sent to Fathi Boudra <fabo@debian.org>:
You have taken responsibility. (Sun, 20 Feb 2011 16:00:03 GMT) Full text and rfc822 format available.

Notification sent to Cyril Brulebois <kibi@debian.org>:
Bug acknowledged by developer. (Sun, 20 Feb 2011 16:00:03 GMT) Full text and rfc822 format available.

Message #29 received at 598966-close@bugs.debian.org (full text, mbox):

From: Fathi Boudra <fabo@debian.org>
To: 598966-close@bugs.debian.org
Subject: Bug#598966: fixed in skrooge 0.8.0.4-1
Date: Sun, 20 Feb 2011 15:57:20 +0000
Source: skrooge
Source-Version: 0.8.0.4-1

We believe that the bug you reported is fixed in the latest version of
skrooge, which is due to be installed in the Debian FTP archive:

skrooge-common_0.8.0.4-1_all.deb
  to main/s/skrooge/skrooge-common_0.8.0.4-1_all.deb
skrooge_0.8.0.4-1.debian.tar.gz
  to main/s/skrooge/skrooge_0.8.0.4-1.debian.tar.gz
skrooge_0.8.0.4-1.dsc
  to main/s/skrooge/skrooge_0.8.0.4-1.dsc
skrooge_0.8.0.4-1_amd64.deb
  to main/s/skrooge/skrooge_0.8.0.4-1_amd64.deb
skrooge_0.8.0.4.orig.tar.bz2
  to main/s/skrooge/skrooge_0.8.0.4.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 598966@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Fathi Boudra <fabo@debian.org> (supplier of updated skrooge package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 29 Jan 2011 18:29:48 +1100
Source: skrooge
Binary: skrooge skrooge-common
Architecture: source amd64 all
Version: 0.8.0.4-1
Distribution: unstable
Urgency: low
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Changed-By: Fathi Boudra <fabo@debian.org>
Description: 
 skrooge    - personal finance manager for KDE
 skrooge-common - Skrooge architecture independent files
Closes: 598966
Changes: 
 skrooge (0.8.0.4-1) unstable; urgency=low
 .
   * New upstream release.
 .
   [ Scott Kitterman ]
   * Add debian/patches/01_arm_compile_fix.diff from Kubuntu to fix FTBFS on
     armel (Closes: #598966)
 .
   [ Mark Purcell ]
   * Drop arm_compile_fix - included upstream
 .
   [ Fathi Boudra ]
   * Update debian/skrooge-common.install file.
Checksums-Sha1: 
 d86fb3b815280c67d56580ec0b2cd7b917a87a9c 1540 skrooge_0.8.0.4-1.dsc
 462f1c4adfc79df89f906f212488d8c8022900a6 8434592 skrooge_0.8.0.4.orig.tar.bz2
 98ab9ea67e1c4b562acb1da56128a7f0a8d8dc98 3320 skrooge_0.8.0.4-1.debian.tar.gz
 11638e57135719c1dd8962be4d7879e37be69e6d 2210156 skrooge_0.8.0.4-1_amd64.deb
 557ac800ba7118d19f830f2675d20e9f839ad419 5052206 skrooge-common_0.8.0.4-1_all.deb
Checksums-Sha256: 
 468989ebafffc4924ff8f1018af8630740c20610ab8802bf09d707f704832623 1540 skrooge_0.8.0.4-1.dsc
 f865b07f165f5bb345f7cfcf7bb97436d3942325af9841b5217aeec9dd1b9264 8434592 skrooge_0.8.0.4.orig.tar.bz2
 9501f6ce0a4a063356a03a07564ece2ed7975390896b5d779005006def40b88e 3320 skrooge_0.8.0.4-1.debian.tar.gz
 46f83676d566f9ee28c2aa4da613f3f43c8e04a1d93ee813d6b451c4040a8027 2210156 skrooge_0.8.0.4-1_amd64.deb
 c968399ea50ae79dd97a90384cc5405200012daf3076fb176b23bbf23fc6f9b1 5052206 skrooge-common_0.8.0.4-1_all.deb
Files: 
 28aab787c1679225ca56c6daaa35e7a5 1540 kde optional skrooge_0.8.0.4-1.dsc
 39db299e3b9e7d55946796c6f94a4494 8434592 kde optional skrooge_0.8.0.4.orig.tar.bz2
 71eaf527d0215e54d65c7b34de86727b 3320 kde optional skrooge_0.8.0.4-1.debian.tar.gz
 bcf2ae087d0c000a79a1be1c0a0decaa 2210156 kde optional skrooge_0.8.0.4-1_amd64.deb
 4d1e895e032079b97a43aca9355262a7 5052206 kde optional skrooge-common_0.8.0.4-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iJwEAQECAAYFAk1hK8QACgkQjPU19mqlcvcRwQP8CWDt+g1xJK/74og0IpkIf8+G
dw86cSMpmlpf8zK6kd9K8gWad9MZa2DjDUAYe8bPMdEYiMdq0VKCywQN9PXylHMv
UmHnwoJoeZAXkN4ji08ZZ1L3o+uqfT4WwIbRy0567hpZ5cMUcjSev/52dT46dSHn
vV4KljmBF8iFHNJw8bc=
=yH1D
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Mar 2011 07:39:32 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 14:36:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.